---
title: "Welcome to Okami101 Blog! :tada:"
description: "This is adr1enbe4udou1n blog."
---

{{< lead >}}
A 🧔🌍💻 aka senior web developer @Bretagne 🇫🇷
{{< /lead >}}

Hi folks, I'm a french web lover actually working [@Cesson-Sévigné](https://fr.wikipedia.org/wiki/Cesson-S%C3%A9vign%C3%A9), mastering `Laravel` and `ASP.NET Core` with `C#` as main backend frameworks, as well as `Vue 3` associated with `Typescript` and [`Composition API`](https://vuejs.org/guide/extras/composition-api-faq.html) on frontend side. Use preferably utility-first CSS framework as `Tailwind` / `Windi CSS`, but also comfortable with `Sass` with **BEM** implementation.

I love develop proper API design following `DDD` + `Hexa` principles if applicable. In addition to above `.NET` and `PHP` backend stacks, I'm also confident with [`Nest.js`](https://nestjs.com/) associated to [`MikroORM`](https://mikro-orm.io/) (*Typescript*), [`FastAPI`](https://fastapi.tiangolo.com/) with [`SQLAlchemy`](https://www.sqlalchemy.org/) (*Python*), and [`Spring Boot`](https://spring.io/projects/spring-boot) with `Hibernate` as main JPA implementation (*Java*).

I encourage `TDD` or at least proper **integration tests** on any backend frameworks, following `AAA` aka *Arrange Act Assert* principle. Mastering `PHPUnit` or [`Pest`](https://pestphp.com/) for *PHP*, `xUnit.net` with [`Fluent Assertions`](https://github.com/fluentassertions/fluentassertions) for *.NET Core*, `JUnit` with [`REST Assured`](https://rest-assured.io/) for *Spring Boot*, `Jest` and `pytest` on respective *NodeJS* end *Python* stacks.

Fully embracing app containerization with `Docker`, from local, staging to production, I push to use properly configured `CI/CD` whenever is possible in order to enforce continuous automatized testing, linting and coding standard at many languages ([`ESLint`](https://eslint.org/), [`Prettier`](https://prettier.io/), [`PHP CS fixer`](https://cs.symfony.com/), [`PHPStan`](https://github.com/phpstan/phpstan), [`Black`](https://black.readthedocs.io/en/stable/), [`mypy`](http://mypy-lang.org/), [`Google Java Format`](https://github.com/google/google-java-format), [`Spotless`](https://github.com/diffplug/spotless), and so on...). I personally use [`Drone CI`](https://www.drone.io/) and `GitLab` as main CI/CD solutions.

Mastering installations of properly configured `Docker Swarm` clusters with [`Traefik`](https://traefik.io/traefik/) as cloud proxy and [`Portainer`](https://www.portainer.io/) as simple GUI for containers management. I use [`Loki`](https://grafana.com/oss/loki/), [`Prometheus`](https://prometheus.io) and [`Jaeger`](https://www.jaegertracing.io/) as respective *logging*, *metrics* and *tracing* tools, all combined to [`Grafana`](https://grafana.com) as perfect GUI dashboard builder for *Ops*. I mainly use [`K6`](https://k6.io/) and [`Locust`](https://locust.io/) as main *load testing tools*. Have some experiences with many mid-range cloud providers as [Digital Ocean](https://www.digitalocean.com/), [Hetzner](https://www.hetzner.com/), [OVH](https://www.ovhcloud.com/), [Scaleway](https://www.scaleway.com/).

See some of [my open sourced works]({{< ref "works" >}} "Okami101 Works").
